/*
*  Name:      defs.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Automaton definitions
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_AUTOMATON_DEFS__
#define _MPCL_AUTOMATON_DEFS__

#include "../text/codegen/defs.hh"
#include "exceptions.hh"


///  Name-space for MPCL.
namespace mpcl
{

  /**
  *  Name-space for AUTOMATON.
  *  This name-space makes the variables contained not to collide
  *  with any others in MPCL name-space.
  */
  namespace automaton
  {
  
    //
    //  E X P O R T E D   V A R I A B L E S
    //

    //
    //  Tag declarations.
    //
    extern const char*   pkcCommentTagPattern;
    extern const char*   pkcDOCTYPE_TagPattern_1;
    extern const char*   pkcDOCTYPE_TagPattern_2;
    extern const char*   pkcDOCTYPE_TagPattern_3;
    extern const char*   pkcDOCTYPE_TagPattern_4;
    extern const char*   pkcDOCTYPE_VERSION_1_0;
    extern const char*   pkcDOCTYPE_VERSION_2_0;
    extern const char*   pkcDFAML_TagPattern;
    extern const char*   pkcDFAML_EndTagPattern;
    extern const char*   pkcDESC_ElementPattern;
    extern const char*   pkcTRANSTBL_TagPattern;
    extern const char*   pkcTRANSTBL_EndTagPattern;
    extern const char*   pkcSTATE_TagPattern_1;
    extern const char*   pkcSTATE_TagPattern_2;
    extern const char*   pkcSTATE_TagPattern_3;
    extern const char*   pkcSTATE_EndTagPattern;
    extern const char*   pkcTRANSIT_ElementPattern_1;
    extern const char*   pkcTRANSIT_ElementPattern_2;
    extern const char*   pkcACTLIST_TagPattern;
    extern const char*   pkcACTLIST_EndTagPattern;
    extern const char*   pkcACTION_ElementPattern_1;
    extern const char*   pkcACTION_ElementPattern_2;

  }  // namespace automaton

}  // namespace mpcl


#endif  // not _MPCL_AUTOMATON_DEFS__
