/*
*  Name:      base_page.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Base HTML page
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 2000-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_TEXT_HTML_BASE_PAGE__
#define _MPCL_TEXT_HTML_BASE_PAGE__

#include "container.hh"


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for TEXT.
  namespace text
  {

    ///  Name-space for HTML.
    namespace html
    {

      ///  Forward declaration.
      class TBasePage;

      ///  Smart pointer to TBasePage.
      typedef
        TSmartPointer<TBasePage>
        QTBasePage;

      ///  Smart pointer to const TBasePage.
      typedef
        TSmartPointer<const TBasePage>
        QKTBasePage;

      ///  Base HTML page.
      class TBasePage : public TContainer
      {

        public:

          //
          //  C O N S T R U C T O R S
          //

          TBasePage (const char* pkcIDENTIFIER) :
            TContainer (pkcIDENTIFIER)
          {
            gIsRootNode  = true;
            gIsQualified = true;
          }

      };  // class TBasePage

    }  // namespace html

  }  // namespace text

}  // namespace mpcl


#endif  // not _MPCL_TEXT_HTML_BASE_PAGE__
