/*
*  Name:      check_group.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   HTML check group
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_TEXT_HTML_CHECKBOX_GROUP__
#define _MPCL_TEXT_HTML_CHECKBOX_GROUP__

#include "checkbox.hh"
#include "container.hh"


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for TEXT.
  namespace text
  {

    ///  Name-space for HTML.
    namespace html
    {

      ///  HTML checkbox group.
      class TCheckboxGroup : public TContainer
      {

        public:

          //
          //  C O N S T R U C T O R S
          //

          TCheckboxGroup ( const char* pkcIDENTIFIER                 ,
                           const char* pkcGROUP_ALIGN = "horizontal" ) :
            TContainer (pkcIDENTIFIER, "", pkcGROUP_ALIGN)             {}

          void insertUpdating (const QTTag& rkqtTAG)
          {
            (*rkqtTAG) ("identifier")           = identifier();
            (*rkqtTAG) ("qualified-identifier") = qualifiedIdentifier();
            insertAs (identifier(), rkqtTAG, end());
          }

          void insertUpdating (const QTTag& rkqtTAG, iterator tINDEX)
          {
            (*rkqtTAG) ("identifier")           = identifier();
            (*rkqtTAG) ("qualified-identifier") = qualifiedIdentifier();
            insertAs (identifier(), rkqtTAG, tINDEX);
          }

          void setValue (const TString& rkySOURCE_VALUE)
          {
            setValue (rkySOURCE_VALUE.c_str());
          }

          void setValue (const char* pkcSOURCE_VALUE)
          {
            TTagList::iterator   I    = tTagList.begin();
            TTagList::iterator   tEnd = tTagList.end();

            for (; ( I != tEnd ) ;++I)
            {
              if ( (*I)->getValue() == pkcSOURCE_VALUE )
              {
                (**I) ("checked") = "true";
                break;
              }
            }
          }

      };  // class TCheckboxGroup

    }  // namespace html

  }  // namespace text

}  // namespace mpcl


#endif  // not _MPCL_TEXT_HTML_CHECKBOX_GROUP__
