/*
*  Name:      table_row.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   HTML table row
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_TEXT_HTML_TABLE_ROW__
#define _MPCL_TEXT_HTML_TABLE_ROW__

#include "container.hh"
#include "table_cell.hh"


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for TEXT.
  namespace text
  {

    ///  Name-space for HTML.
    namespace html
    {

      ///  Forward declaration.
      class TTableRow;

      ///  Smart pointer to TTableRow.
      typedef
        TSmartPointer<TTableRow>
        QTTableRow;

      ///  Smart pointer to const TTableRow.
      typedef
        TSmartPointer<const TTableRow>
        QKTTableRow;

      ///  HTML table row.
      class TTableRow : public TContainer
      {

          //
          //  F R I E N D   C L A S S E S
          //

          friend class TTable;
          friend class TLayoutTable;


        public:

          //
          //  C O N S T R U C T O R S
          //

          TTableRow (const char* pkcALIGN = "left", const char* pkcVALIGN = "top") :
            TContainer()
          {
            tAttributeMap ["class-identifier"] = "table-row";
            tAttributeMap.bind ("halign",  pkcALIGN);
            tAttributeMap.bind ("valign",  pkcVALIGN);
            tAttributeMap.bind ("bgcolor", "");
          }

      };  // class TTableRow

    }  // namespace html

  }  // namespace text

}  // namespace mpcl


#endif  // not _MPCL_TEXT_HTML_TABLE_ROW__
