/*
*  Name:      title.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   HTML title
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 2000-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_TEXT_HTML_TITLE__
#define _MPCL_TEXT_HTML_TITLE__

#include "../../memory/smart_pointer.hh"
#include "tag.hh"


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for TEXT.
  namespace text
  {

    ///  Name-space for HTML.
    namespace html
    {

      using memory::TSmartPointer;

      ///  Forward declaration.
      class TTitle;

      ///  Smart pointer to TTitle.
      typedef
        TSmartPointer<TTitle>
        QTTitle;

      ///  Smart pointer to const TTitle.
      typedef
        TSmartPointer<const TTitle>
        QKTTitle;

      ///  HTML title.
      class TTitle : public TTag
      {

        public:

          //
          //  C O N S T R U C T O R S
          //

          /**
          *  Builds a new title with the text \a pkcTEXT.
          *  @param pkcTEXT Text to be included in the tag.
          */
          TTitle (const char* pkcTEXT) : TTag (pkcDefaultTitleId, pkcTEXT)
          {
            tAttributeMap ["class-identifier"] = "title";
          }

      };  // class TTitle

    }  // namespace html

  }  // namespace text

}  // namespace mpcl


#endif  // not _MPCL_TEXT_HTML_TITLE__
