/*
*  Name:      md5_hash_algorithm.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   MD5 hash algorithm
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_MD5_HASH_ALGORITHM__
#define _MPCL_MD5_HASH_ALGORITHM__

#include "../../text/string.hh"
#include "hash_algorithm.hh"


///  Name-space for MPCL.
namespace mpcl
{
  
  ///  Name-space for UTIL.
  namespace util
  {

    ///  Name-space for STRATEGY.
    namespace strategy
    {

      using text::TString;

      ///  RSA MD5 hash algorithm.
      class TMd5HashAlgorithm: public IHashAlgorithm<TString, TString>
      {

        public:

          //
          //  S E L E C T O R S
          //

          /**
          *  Applies the hash algorithm for the key \a rkySOURCE_KEY.
          *  @param rkySOURCE_KEY Source key.
          *  @return Hash value.
          */
          TString execute (const TString& rkySOURCE_KEY) const;

      };  // class TMd5HashAlgorithm

    }  // namespace strategy

  }  // namespace util

}  // namespace mpcl


#endif  // not _MPCL_MD5_HASH_ALGORITHM__
