/*
*  Name:      application.cc
*  Authors:   Angel Jimenez Jimenez
*             Rafael Jesus Alcantara Perez
*  Summary:   CGI base application
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/net/cgi/abstract_application.hh>
#include <mpcl/net/cgi/exceptions.hh>


//
//  C O N S T R U C T O R S
//

void mpcl::net::cgi::TAbstractApplication::
buildSourcePage (void)
{

  using text::html::TBasePage;
  using text::html::kcIdentifierSeparator;

  TString   yPathInfo (tConfigProcessor.environmentValue ("PATH_INFO"));

  qtSourcePage = (TBasePage*) NULL;
  ptSourceForm = NULL;
  if ( !yPathInfo.empty() )
  {
    TString              yPageName;
    TString              yFormName;
    TString::size_type   zOffset;
    TString::size_type   zBegin = 0;

    //
    //  Else gets the calling page/form.
    //
    if ( yPathInfo [0] == kcIdentifierSeparator )
    {
      //
      //  Remove leading separator.
      //
      ++zBegin;
    }
    zOffset      = yPathInfo.find (kcIdentifierSeparator, zBegin);
    yPageName    = yPathInfo.substr (zBegin, (zOffset - zBegin));
    yFormName    = yPathInfo.substr (zOffset + 1);
    qtSourcePage = buildPage (yPageName);
    if ( !qtSourcePage.isNull() )
    {
      ptSourceForm = qtSourcePage->tag (yFormName).dynamicCast<TForm*>();
      if ( tConfigProcessor.hasInput() && ptSourceForm )
      {
        tConfigProcessor.updateForm (*ptSourceForm);
      }
    }
  }

}  // buildSourcePage()


//
//  S E L E C T O R S
//

void mpcl::net::cgi::TAbstractApplication::
writeResponse (void) const
{

  if ( gIsRedirected )
  {
    *ptTargetOstream << "Location: " << yTargetUrl << "\n";
    if ( !tSession.isEmpty() )
    {
      *ptTargetOstream << tSession;
    }
    *ptTargetOstream << std::endl;
  }
  else
  {
    qtTargetPage->update();
    *ptTargetOstream << "Content-type: text/html\n";
    if ( !tSession.isEmpty() )
    {
      *ptTargetOstream << tSession;
    }
    *ptTargetOstream << std::endl;
    *ptTargetOstream << *qtTargetPage;
  }

}  // writeResponse()
