/*
*  Name:      url_decoder.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   URL decoder class
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <cctype>
#include <cstdio>
#include <mpcl/net/url_decoder.hh>


//
//  S E L E C T O R S
//

mpcl::text::TString mpcl::net::TUrlDecoder::
_decode (const text::TString& rkySOURCE_ENCODED)
{

  using std::strtol;
  using text::TString;

  static char    _acSourceHexBuffer[] = "%NN";
  static char    _acTargetHexBuffer[] = "0xNN";
  static char    _acConvertedBuffer[] = " ";
  static char*   _pcSourceHexDigits   = _acSourceHexBuffer + 1;
  static char*   _pcTargetHexDigits   = _acTargetHexBuffer + 2;

  size_t         zOffset  = 0;
  TString        yDecoded = rkySOURCE_ENCODED;
  
  yDecoded.replaceAll ('+', ' ');

  //
  //  Replace hexadecimal escape patterns, by their
  //  ASCII values.
  //
  for (zOffset = 0; ( TString::npos != (zOffset = yDecoded.find ('%')) ) ;)
  {
    _pcTargetHexDigits [0] = (_pcSourceHexDigits [0] = yDecoded [zOffset + 1]);
    _pcTargetHexDigits [1] = (_pcSourceHexDigits [1] = yDecoded [zOffset + 2]);
    _acConvertedBuffer [0] = strtol (_acTargetHexBuffer, NULL, 16);
    yDecoded.replaceAll (_acSourceHexBuffer, _acConvertedBuffer);
  }
  return yDecoded;

}  // _decode()
