/*
*  Name:      instruction_tag_string.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Instruction-tag string
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/text/codegen/defs.hh>
#include <mpcl/text/codegen/instruction_tag_string.hh>


//
//  C O N S T R U C T O R S
//

void mpcl::text::codegen::TInstructionTagString::
read (std::basic_istream<char_type, traits_type>& rtSOURCE_ISTREAM)
{

  using regex::TMatcher;
  using std::basic_string;
  using std::ios;

  TMatcher   tMatcher (rtSOURCE_ISTREAM);
  
  tMatcher.setCaseSensitiveness (false);
  while ( tMatcher.scan (pkcCommentTagPattern, NULL) );
  if ( !tMatcher.scan (pkcINSTRUCT_TagPattern, (basic_string<char>*) this, NULL) )
  {
    rtSOURCE_ISTREAM.setstate (ios::failbit);
  }

}  // read()


//
//  S E L E C T O R S
//

void mpcl::text::codegen::TInstructionTagString::
write (std::basic_ostream<char_type, traits_type>& rtTARGET_OSTREAM) const
{

  rtTARGET_OSTREAM << "<instruct name=\"";
  operator << (rtTARGET_OSTREAM, (std::string) *this);
  rtTARGET_OSTREAM << "\">\n";

}  // write()
