/*
*  Name:      radio_group.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   HTML radio group
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/text/html/radio_group.hh>


//
//  C O N S T R U C T O R S
//

void mpcl::text::html::TRadioGroup::
insertUpdating (const QTTag& rkqtTAG)
{

  TString   yChecked;

  yChecked = BoolToString ((*rkqtTAG) ("value") == tAttributeMap ["value"] );
  (*rkqtTAG) ("identifier")           = identifier();
  (*rkqtTAG) ("qualified-identifier") = qualifiedIdentifier();
  (*rkqtTAG) ("checked")              = yChecked;
  insertAs (identifier(), rkqtTAG, end());
  
}  // insertUpdating()


void mpcl::text::html::TRadioGroup::
insertUpdating (const QTTag& rkqtTAG, iterator tINDEX)
{

  TString   yChecked;

  yChecked = BoolToString ((*rkqtTAG) ("value") == tAttributeMap ["value"] );
  (*rkqtTAG) ("identifier")           = identifier();
  (*rkqtTAG) ("qualified-identifier") = qualifiedIdentifier();
  (*rkqtTAG) ("checked")              = yChecked;
  insertAs (identifier(), rkqtTAG, tINDEX);
  
}  // insertUpdating()


void mpcl::text::html::TRadioGroup::
setValue (const char* pkcSOURCE_VALUE)
{
  
  TTagList::iterator   I    = tTagList.begin();
  TTagList::iterator   tEnd = tTagList.end();

  for (; ( I != tEnd ) ;++I)
  {
    if ( (*I)->getValue() == pkcSOURCE_VALUE )
    {
      (**I) ("checked") = "true";
    }
    else
    {
      (**I) ("checked") = "false";
    }
  }
  tAttributeMap ["value"] = pkcSOURCE_VALUE;

}  // setValue()
