/*
*  Name:      log.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Base operating system
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 2000-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <algorithm>
#include <cctype>
#include <mpcl/util/general-functions.hh>
#include <mpcl/util/logging/log.hh>


//
//  E X P O R T E D   F U N C T I O N S
//

mpcl::util::logging::TBaseLog& mpcl::util::logging::
emerg (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eEmerg);
  return rtBASE_LOG;

}  // emerg()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
alert (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eAlert);
  return rtBASE_LOG;

}  // alert()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
crit (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eCrit);
  return rtBASE_LOG;

}  // crit()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
err (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eErr);
  return rtBASE_LOG;

}  // err()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
warning (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eWarning);
  return rtBASE_LOG;

}  // warning()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
notice (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eNotice);
  return rtBASE_LOG;

}  // notice()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
info (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eInfo);
  return rtBASE_LOG;

}  // info()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
debug (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setLevel (system::ISystem::eDebug);
  return rtBASE_LOG;

}  // debug()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
authpriv (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eAuthPriv);
  return rtBASE_LOG;

}  // authpriv()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
cron (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eCron);
  return rtBASE_LOG;

}  // cron()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
daemon (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eDaemon);
  return rtBASE_LOG;

}  // daemon()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
kern (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eKern);
  return rtBASE_LOG;

}  // kern()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local0 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal0);
  return rtBASE_LOG;

}  // local0()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local1 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal1);
  return rtBASE_LOG;

}  // local1()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local2 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal2);
  return rtBASE_LOG;

}  // local2()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local3 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal3);
  return rtBASE_LOG;

}  // local3()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local4 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal4);
  return rtBASE_LOG;

}  // local4()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local5 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal5);
  return rtBASE_LOG;

}  // local5()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local6 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal6);
  return rtBASE_LOG;

}  // local6()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
local7 (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLocal7);
  return rtBASE_LOG;

}  // local7()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
lpr (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eLpr);
  return rtBASE_LOG;

}  // lpr()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
mail (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eMail);
  return rtBASE_LOG;

}  // mail()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
news (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eNews);
  return rtBASE_LOG;

}  // news()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
user (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eUser);
  return rtBASE_LOG;

}  // user()


mpcl::util::logging::TBaseLog& mpcl::util::logging::
uucp (TBaseLog& rtBASE_LOG)
{

  rtBASE_LOG.setFacility (system::ISystem::eUucp);
  return rtBASE_LOG;

}  // uucp()


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for UTIL.
  namespace util
  {

    ///  Name-space for LOGGING.
    namespace logging
    {

      //
      //  E X P O R T E D   V A R I A B L E S
      //

      TLog<char>   tLog;

    }  // namespace logging

  }  // namespace util

}  // namespace mpcl
