/*
*  Name:      exceptions.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   PREFS exceptions
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/util/prefs/exceptions.hh>


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for UTIL.
  namespace util
  {

    ///  Name-space for PREFS.
    namespace prefs
    {

      ///  Could not open the configuration file message.
      const char*   TFileErrorException::_pkcSynopsis =
        "prefs: could not open config-file";

      ///  Not parameter-able option message.
      const char*   TNotParameterAbleException::_pkcSynopsis =
        "prefs: not parameter-able option";

      ///  Option name or shortcut has been already defined.
      const char*   TOptionAlreadyDefinedException::_pkcSynopsis =
        "prefs: option already defined";

      ///  Parse error when reading configuration file message.
      const char*   TParseErrorException::_pkcSynopsis =
        "prefs: parse-error reading config-file";

      ///  Variable not found in environment message.
      const char*   TVariableNotFoundException::_pkcSynopsis =
        "prefs: variable not found in environment";

    }  // namespace prefs

  }  // namespace util

}  // namespace mpcl
