/*
*  Name:      md5_hash_algorithm.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   MD5 hash algorithm
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <cstdio>
#include <mpcl/util/strategy/md5_hash_algorithm.hh>
#include "rsa_md5.hh"


//
//  S E L E C T O R S
//

mpcl::text::TString mpcl::util::strategy::TMd5HashAlgorithm::
execute (const text::TString& rkySOURCE_KEY) const
{

  TString         yAsciiDigest;
  MD5_CTX         tMd5_ctx;
  unsigned char   aucDigest [16];  /* ( 128 == (16 * 8) ) */
  char            acTwoHexDigits[] = "ff";
  unsigned char*  pucKey           = (unsigned char*) rkySOURCE_KEY.c_str();

  MD5Init (&tMd5_ctx);
  MD5Update (&tMd5_ctx, pucKey, rkySOURCE_KEY.length());
  MD5Final (aucDigest, &tMd5_ctx);

  for (register size_t J = 0; ( J < 16 ) ;++J)
  {
    sprintf (acTwoHexDigits, "%02x", aucDigest [J]);
    yAsciiDigest += acTwoHexDigits;
  }
  return yAsciiDigest;

}  // execute()
