/*
*  Name:      TAbstractController.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Base controller class for the MVC controller paradigm
*  Date:      $Date: 2004-08-02 19:20:39 +0200 (lun, 02 ago 2004) $
*  Revision:  $Revision: 9838 $
*
*  Copyright (C) 2003-2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for MVC CONTROLLER paradigm.
package org.mpcl.designpatterns.mvc.controller;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


///  Main controller class.
public abstract class TAbstractController implements ActionListener
{

  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Invoked when an action occurs.
  *  @param tACTION_EVENT Action event interface instance.
  *  @see java.awt.event.ActionListener.
  */
  public abstract void actionPerformed (ActionEvent tACTION_EVENT);

  ///  Starts the execution of the application.
  public void start() {}

  ///  Stops the execution of the application.
  public void stop()
  {
    System.exit (0);
  }

}  // class TAbstractController
