/*
*  Name:      TMath.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Class for making mathematic computations.
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 2003  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for MATH.
package org.mpcl.math;


///  Class of mathematic tools.
public class TMath
{

  //
  //  S E L E C T O R S
  //

  /**
  *  Returns a double value corresponding to the closest double to dNUMBER with
  *  iDIGITS decimal positions.
  *  @param dNUMBER Number to be rounded to iDIGITS decimal positions.
  *  @param iDIGITS Decimal positions.
  *  @return A double value corresponding to the closest double to dNUMBER with
  *          iDIGITS decimal positions.
  */
  public static double _round (double dNUMBER, int iDIGITS)
  {
    double   dFactor;

    dFactor = Math.pow (10, iDIGITS);
    return (Math.rint (dNUMBER * dFactor) / dFactor);
  }

}  // class TMath
