/*
*  Name:      TAbstractEditorPanel.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Abstract editor panel class
*  Date:      $Date: 2004-09-08 02:22:47 +0200 (mié, 08 sep 2004) $
*  Revision:  $Revision: 10078 $
*
*  Copyright (C) 2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for NUI PANEL.
package org.mpcl.nui.panel;

import org.mpcl.nui.IEditor;


/**
*  Abstract observer editor panel. This class edits the model using the observer
*  paradigm.
*  @see java.util.Observable
*  @see org.mpcl.design.behavioral.ICasualObserver
*/
public abstract class TAbstractEditorPanel
  extends    TAbstractBrowserPanel
  implements IEditor
{

  //
  //  S E L E C T O R S
  //

  /**
  *  Updates model from source view elements.
  *  @see org.mpcl.nui.IEditor#save()
  */
  public abstract void save();

}  // class TAbstractEditorPanel
