/*
*  Name:      TShadedPanel.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Panel class with shadow in SOUTH-EAST
*  Date:      $Date: 2005-04-05 15:08:27 +0200 (mar, 05 abr 2005) $
*  Revision:  $Revision: 11007 $
*
*  Copyright (C) 2003  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for NUI PANEL.
package org.mpcl.nui.panel;

import java.awt.Color;
import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.Border;
import org.mpcl.nui.border.TShadowBorder;


///  Panel class with shadow borders in SOUTH-EAST.
public class TShadedPanel extends JPanel
{

  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Builds a new instance.
  *  @param tBORDER_LINE_COLOR Color of the inside border line.
  */
  public TShadedPanel (Color tBORDER_LINE_COLOR)
  {
    super();

    Border   tInsideBorder;
    Border   tOutsideBorder;

    tInsideBorder  = BorderFactory.createLineBorder (tBORDER_LINE_COLOR);
    tOutsideBorder = new TShadowBorder();
    setBorder (BorderFactory.createCompoundBorder (tOutsideBorder, tInsideBorder));
  }

}  // class TShadedPanel
