/*
*  Name:      TEmptyTableCellRenderer.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Table cell renderer for empty values
*  Date:      $Date: 2004-10-08 01:24:10 +0200 (vie, 08 oct 2004) $
*  Revision:  $Revision: 10216 $
*
*  Copyright (C) 2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for TABLE (table support classes).
package org.mpcl.nui.table;

import javax.swing.table.DefaultTableCellRenderer;


/**
*  Table cell renderer for \a TEmpty objects. It is implemented for performance
*  purposes.
*/
public class TEmptyTableCellRenderer extends DefaultTableCellRenderer
{

  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Sets the String object for the cell being rendered to value.
  *  @param tVALUE The value for this cell; if \a tVALUE is \a null it sets the
  *                the text value to an empty string.
  *  @see javax.swing.table.DefaultTableCellRenderer#setValue()
  */
  protected void setValue (Object tVALUE) {}

}  // class TEmptyTableCellRenderer
