/*
*  Name:      TEntity.java
*  Author:    Francisco Vides Fernandez
*  Summary:   class for manipulating html entities
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 2001-2003  Dedalo Ingenieros, S.L.
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for HTML related classes.
package org.mpcl.text.html;

import java.text.StringCharacterIterator;


public class TEntity
{

  public static String _encodeCharacters (String ySOURCE)
  {

    StringCharacterIterator   I;
    StringBuffer              yEncodedSource = null;

    if ( ySOURCE != null )
    {
      I              = new StringCharacterIterator (ySOURCE);
      yEncodedSource = new StringBuffer();
      for (char cSOURCE = I.first(); ( cSOURCE != StringCharacterIterator.DONE ) ;cSOURCE = I.next())
      {
        switch (cSOURCE)
        {
          case '<' : yEncodedSource.append ("&lt;");          break;
          case '>' : yEncodedSource.append ("&gt;");          break;
          case '\u00e1' : yEncodedSource.append ("&aacute;"); break;
          case '\u00e9' : yEncodedSource.append ("&eacute;"); break;
          case '\u00ed' : yEncodedSource.append ("&iacute;"); break;
          case '\u00f3' : yEncodedSource.append ("&oacute;"); break;
          case '\u00fa' : yEncodedSource.append ("&uacute;"); break;
          case '\u00c1' : yEncodedSource.append ("&Aacute;"); break;
          case '\u00c9' : yEncodedSource.append ("&Eacute;"); break;
          case '\u00cd' : yEncodedSource.append ("&Iacute;"); break;
          case '\u00d3' : yEncodedSource.append ("&Oacute;"); break;
          case '\u00da' : yEncodedSource.append ("&Uacute;"); break;
          case '"' : yEncodedSource.append ("&quot;");        break;
          case '\'': yEncodedSource.append ("&apos;");        break;
          case '&' : yEncodedSource.append ("&amp;");         break;
          case '\u00f1': yEncodedSource.append ("&ntilde");   break;
          case '\u00d1' : yEncodedSource.append ("&Ntilde;"); break;
          default: yEncodedSource.append (cSOURCE);           break;
        }
      }
    }
    return yEncodedSource.toString();

  }  // _encodeCharacters()

}  // class TEntity
