/*
*  Name:      ISimpleMap.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Simple map interface
*  Date:      $Date: 2005-03-15 00:46:05 +0100 (mar, 15 mar 2005) $
*  Revision:  $Revision: 10889 $
*
*  Copyright (C) 2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for UTIL.
package org.mpcl.util;


/**
*  Simple map. For more features see JAVA \a Map.
*  @see java.util.Map
*/
public interface ISimpleMap
{

  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Puts the value \a tVALUE on the object identified by \a tKEY.
  *  @param tKEY   Key with which the specified value is to be associated.
  *  @param tVALUE Value to be associated with the specified key.
  */
  public void put (Object tKEY, Object tVALUE);


  //
  //  S E L E C T O R S
  //

  /**
  *  Returns the value to with this map maps the specified key.
  *  @param tKEY Key whose associated value is to be returned. 
  *  @return The value to which this map maps the specified key, or null if the
  *          map contains no mapping for this key.
  */
  public Object get (Object tKEY);

}  // interface ISimpleMap
